### Virtual Method

# Atk Text set_selection

#### Declaration [src]

    gboolean
    set_selection (
      AtkText* text,
      gint selection_num,
      gint start_offset,
      gint end_offset
    )

#### Description [src]

Changes the start and end offset of the specified selection.

#### Parameters

`selection_num`

  Type: `gint`

  The selection number. The selected regions are assigned numbers that correspond to how far the region is from the start of the text. The selected region closest to the beginning of the text region is assigned the number 0, etc. Note that adding, moving or deleting a selected region can change the numbering.

`start_offset`

  Type: `gint`

  The new starting character offset of the selection.

`end_offset`

  Type: `gint`

  The new end position of (e.g. offset immediately past) the selection.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.